%define modname repoze.lru


Name:           python-repoze-lru
Version:        0.6
Release:        %mkrel 1
Summary:        A tiny LRU cache implementation and decorator

Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/repoze.lru
Source0:        https://pypi.python.org/packages/source/r/repoze.lru/%{modname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
repoze.lru is a LRU (least recently used) cache implementation. Keys and values
that are not used frequently will be evicted from the cache faster than keys
and values that are used frequently.


%package -n python3-repoze-lru
Summary:        A tiny LRU cache implementation and decorator
Group:          Development/Python

%description -n python3-repoze-lru
repoze.lru is a LRU (least recently used) cache implementation. Keys and values
that are not used frequently will be evicted from the cache faster than keys
and values that are used frequently.


%prep
%setup -q -n %{modname}-%{version}
rm -rf %{modname}.egg-info

cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%check
%{__python2} setup.py test

pushd %{py3dir}
%{__python3} setup.py test
popd

%files
%doc README.txt LICENSE.txt
%{python2_sitelib}/repoze/lru
%{python2_sitelib}/%{modname}-%{version}*

%files -n python3-repoze-lru
%doc README.txt LICENSE.txt
%{python3_sitelib}/repoze/lru
%{python3_sitelib}/%{modname}-%{version}*


%changelog
* Thu Dec 10 2015 philippem <philippem> 0.6-1.mga6
+ Revision: 909311
- imported package python-repoze-lru

